export default (view, rect: engine.Rectangle) => {
    const { x, y } = view;
    const { width, height } = view.texture
    if (x > rect.x && y > rect.y && (x + width) < (rect.x + rect.width) && (y + height) < (rect.y + rect.height)) {
        return true
    }
    return false;
}

